%define _python_version `python -c 'import sys;print sys.version[:3]'`
Summary: A simple python mdule for Dynamic HTML, XML, SQL, and other text processing. 
Name: Wpre 
Version: 1.0
Release: 2
License: Python License
Group: Development/Languages
URL: http://www.jhpc.cs.depaul.edu/Wpre
Source: Wpre-1.0.tar.gz
Requires: python >= 1.5
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Wpre is a tool that allows you to substitute variable values into text documents, similar to the "here document" concept found in the shell. We use this tool to work with HTML, XML, and SQL, and we have found it to be very effective in eliminating hand-coding of these different kinds of text documents as Python "print" statements in web/enterprise applications. 

This tool will be of interest to those who want a very lightweight framework for preprocessing or presenting dynamic information (similar to DHTML) without all of the complexity typically found in such alternative frameworks.

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages
cp modules/*.py $RPM_BUILD_ROOT%{_libdir}/python%{_python_version}/site-packages/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs wpreTest testWpre
%{_libdir}/python*/site-packages/*.py

%changelog
* Wed Jan  3 2001 Tim Powers <timp@redhat.com>
- fixed bad requires

* Mon Jul 17 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial package
